/*****************************************************************************
 * © 2017 Avaya Inc. All rights reserved.
 ****************************************************************************/
package com.avaya.services.CallDeflection.util;

import com.avaya.collaboration.businessdata.api.NoAttributeFoundException;
import com.avaya.collaboration.businessdata.api.NoServiceProfileFoundException;
import com.avaya.collaboration.businessdata.api.NoUserFoundException;
import com.avaya.collaboration.businessdata.api.ServiceNotFoundException;

public interface ServiceAttributeReader
{
    String getAgentNumber() throws NoUserFoundException,
            NoAttributeFoundException, ServiceNotFoundException, NoServiceProfileFoundException;

    String getAnnouncementSourcePath() throws NoAttributeFoundException, ServiceNotFoundException;

    String getAgentDomain()
            throws NoUserFoundException, NoAttributeFoundException, ServiceNotFoundException, NoServiceProfileFoundException;

    String getEmailFrom() throws NoAttributeFoundException, ServiceNotFoundException;

    String getEmailTo() throws NoAttributeFoundException, ServiceNotFoundException;

    String getSmsFrom() throws NoAttributeFoundException, ServiceNotFoundException;

    String getSmsTo() throws NoAttributeFoundException, ServiceNotFoundException;
}
